.nav {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;

  .navbar {
    display: flex;
    margin-right: 1rem;
  }

  .logo {
    border-radius: 100%;
    background: #aeaaaa;
    width: 60px;
    height: 60px;
    display: grid;
    place-items: center;
  }

  ul {
    list-style: none;
    display: flex;
    align-items: center;

    li {
      a:link,
      a:visited {
        text-decoration: none;
        color: black;
        font: 20px Raleway;
        margin: 0px 10px;
        padding: 10px 10px;
        position: relative;
        z-index: 0;
        cursor: pointer;
        text-transform: uppercase;

        &:before,
        &:after {
          position: absolute;
          top: 22px;
          left: 50%;
          width: 40px;
          height: 40px;
          border: 4px solid #0277bd;
          transform: translateX(-50%) translateY(-50%) scale(0.8);
          border-radius: 50%;
          background: transparent;
          content: "";
          opacity: 0;
          transition: all 0.3s;
          z-index: -1;
        }

        &:after {
          border-width: 2px;
          transition: all 0.4s;
        }

        &:hover:before {
          opacity: 1;
          transform: translateX(-50%) translateY(-50%) scale(1);
        }

        &:hover:after {
          opacity: 1;
          transform: translateX(-50%) translateY(-50%) scale(1.3);
        }
      }
    }
  }
}

.link {
  align-items: center;
  text-decoration: none;
  color: black;
  padding: .5rem;
  max-width: 300px;
  justify-content: center;
  text-transform: uppercase;
  font-family: $headings;

  &.bordered {
    border: 1px solid black;
  }

  &.filled {
    background: dodgerblue;
    color: white;
  }

  &.primary {
    display: flex;
  }

  &.secondary {
    display: inline-flex;
  }

  > svg + span,
  > span + svg {
    margin-left: 0.5rem;
  }
}

.nopage,
.about {
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  align-items: center;
  padding: 4rem;

  img {
    max-width: 500px;
    height: auto;
    border: 2px solid black;
    margin: 0 auto;
    width: 100%;
  }

  h2 {
    text-transform: uppercase;
    padding: 2rem 0;
  }
}

